#include "xc.h"

#define SYSTEM_CLOCK 32000000UL

#include "LTlib.h"

#include "HW_mini_Sensing_PIC_Board.h"
#include "HW_mini_Sensing_USB.h"

#include "module_IO.h"  
#include "module_IO.c" 

#include "LTlib_delay.h"
#include "LTlib_delay.c"


int main (void){
    
    IO_set_all_ports_as_inputs ();
    
    //Set all LED pins as output
    P6_DIR = SET_AS_OUTPUT;
    P7_DIR = SET_AS_OUTPUT;
    P15_DIR = SET_AS_OUTPUT;
    P16_DIR = SET_AS_OUTPUT;
  
    //Turn OFF all LEDs
    P6_OUT = LED_OFF;
    P7_OUT = LED_OFF;
    P15_OUT = LED_OFF;
    P16_OUT = LED_OFF;

    delay_set_quartz(32);
    
    delay_ms (500);
    P6_OUT = LED_ON;
    delay_ms (500);
    P7_OUT = LED_ON;
    delay_ms (500);
    P15_OUT = LED_ON;
    delay_ms (500);
    P16_OUT = LED_ON;
    delay_ms (1000);

    //Toggle the LED values
    //Using other defined values for the LEDs...just as example
    while (1){
        delay_ms (500);
        LED_1_USB ^= LED_ON;
        LED_2_USB ^= LED_ON;
        LED_3_USB ^= LED_ON;
        LED_4_USB ^= LED_ON;
    }    
}
