#include "xc.h"

#define SYSTEM_CLOCK 32000000UL

#include "LTlib.h"

#include "HW_mini_Sensing_PIC_Board.h"
#include "HW_mini_Sensing_USB.h"

#include "module_IO.h"  
#include "module_IO.c" 

#include "module_UART.h"  
#include "module_UART.c" 

#include "LTlib_delay.h"
#include "LTlib_delay.c"


int main (void){
    
    uint8_t readback = 0x00;
    
    IO_set_all_ports_as_inputs ();
    
    delay_set_quartz(32);
        
    //Set LED as output
    LED_1_USB_DIR = SET_AS_OUTPUT;   
    LED_2_USB_DIR = SET_AS_OUTPUT;  
    LED_3_USB_DIR = SET_AS_OUTPUT;  
    LED_4_USB_DIR = SET_AS_OUTPUT;  
    LED_1_USB = LED_OFF;
    LED_2_USB = LED_OFF;
    LED_3_USB = LED_OFF;
    LED_4_USB = LED_OFF;
    
    UART1_open (UART_BAUDRATE_19200);      

    UART1_write_message ("Press 1, 2, 3, 4 to turn ON the LEDs"); 
    UART1_write_byte(10);
    UART1_write_message ("Press any other button to turn OFF all"); 
    UART1_write_byte(10);
    UART1_write_byte(10);
                        
    while (1){

        if (UART1_data_ready() == 0x01){
            
            readback = UART1_read_byte();

            if (readback == '1'){                
                LED_1_USB = LED_ON;
            } else if (readback == '2'){                
                LED_2_USB = LED_ON;
            } else if (readback == '3'){                
                LED_3_USB = LED_ON;
            } else if (readback == '4'){                
                LED_4_USB = LED_ON;
            } else {
                
                LED_1_USB = LED_OFF;
                LED_2_USB = LED_OFF;
                LED_3_USB = LED_OFF;
                LED_4_USB = LED_OFF;
                
            }

        }
        
    }
}   

